from datetime import datetime
from RNGen import RNp2to191 as MyRN         #   A random number generator class

def get_MicroSec():
    """
            Timer in microsecond
    """
    now = datetime.now()
    return now.microsecond + 1000000.0 * (now.second + 60.0 * (now.minute \
                            + 60.0 * now.hour))

rn = MyRN()
t0 = get_MicroSec()

for v in range(2**20):
    v = rn.uni()

t1 = get_MicroSec();
print("(2**20): ", t1 - t0, "microseconds")
s = 1000000.0 * 60.0 * 60.0 * 24.0 * 365.0
v = ((t1 - t0) * (2**191) / (2**20)) / s
print("(2**191): ", v, "years")
w = ((t1 - t0) * (2**100) / (2**20)) / s
print("(2**100): ", w, "years")
u = ((t1 - t0) * (2**50) / (2**20)) / s
print("(2**50): ", u, "years")
